Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6342/?format=api
{ "ob_id": 6342, "uuid": "4a0abf16a41a62aed1eb5200ba360ada", "title": "ACSOE OXICOA - TACIA Joint Programme: CAS Tropospheric Trajectory Model Data for Along Flight Paths of MRF C-130 for 1997", "abstract": "The Atmospheric Chemistry Studies in the Oceanic Environment (ACSOE) was a 5-year Natural Environment Research Council (NERC) programme on tropospheric chemistry coordinated by the University of East Anglia and involving research groups from a number of UK universities and research institutes. The project had three consortia of UK institutes and universities, each of which focused on a different scientific topic. OXICOA (OXIdising Capacity of the Ocean Atmosphere) was a study of oxidant, radical and related gas-phase chemistry in the clean and moderately polluted marine atmosphere. The Testing Atmospheric Chemistry in Anticyclone (TACIA) project as part of the ACSOE-OXICOA program was carried to collect data. The dataset was collected by the C-130 research aircraft; a former transport aircraft operated by the Meteorological Research Flight (MRF), and includes in situ trace gas photochemistry measurements.", "keywords": "ACSOE, OXICOA, LTERM, CAS, Trajectory", "publicationState": "published", "dataPublishedTime": "2007-03-23T22:47:11", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6343/?format=api", "dataPath": "/badc/acsoe/data/c-130/97-flights-trajectories", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 47254904, "numberOfFiles": 17, "fileFormat": "Data are NASA-Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1846/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/690/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/81078/?format=api" ], "dataLineage": "Data were created by the trajectory model created by the Centre for Atmospheric Science, University of Cambridge using the forecast model data from ECMWF as a part of ACSOE campaign, and were submitted to BADC for archival.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4152/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12834/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6335/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/27001/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26993/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26999/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/27063/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26994/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26995/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26997/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26998/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50161/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/27004/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26996/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/11874/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }